Subject: Re: PHP Apache module with PostgreSQL support
From: Jason Tishler <[email-masked]>
To: Andreas <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Sep 2002 08:23:03 -0400

Andreas,

On Tue, Sep 17, 2002 at 05:51:43PM +0200, Andreas wrote:
> > Then you may need to patch config.m4 instead (again, I have not
> > checked the source).  The bottom line is that under Cygwin the check
> > for the existence of the pq library must look for either libpq.a
> > (i.e., import library) or pq.dll (i.e., shared library).  Choose the
> > one that minimizes the patch.
> 
> Thanks a lot Jason! That's it!

You are welcome.

> I thought the applied patch will modify the configure script to make it
> cygwin compatible...

I believe (again, without checking the source) that it does or will...

> In case that someone is interested in how to deal with this:
>   apply the patch:
>     patch -p0 < php-X-Y/CYGWIN-PATCHES/php-4.2.0-1.patch	[2]
>   search for libpq.so in the configure script and simply rename it to
> libpq.a.

The above is *not* the right way to do it!  configure is a generated
file and should not be hand edited.

> The php-4.2.0-1.patch contains lines that check for libpq.a but they
> have no effect on the configure script.

My WAG is that you need to rerun autoconf.  That is the right way to
"change" (i.e., regenerate) configure.

> The next hurdle is the mkdll.sh command. I don't know how to add the
> dependent pq.dll (/usr/bin) to the following command:

Sorry, I don't know either, but...

>   ../../../CYGIN-PATCHES/mkdll.sh libsapi.la \
>     -L ../../../.libs -lphp4 \
>     /usr/bin/cyghttpd.dll				[8]
> 
> It doesn't work that way:
>   ../../../CYGIN-PATCHES/mkdll.sh libsapi.la \
>     -L ../../../.libs -lphp4 \
>     /usr/bin/cyghttpd.dll /usr/bin/pq.dll		[8]
                            ^^^^^^^^^^^^^^^

One should *not* link against DLLs directly -- one should link against
the corresponding import libraries instead.  Use "-lpq" instead of
"/usr/bin/pq.dll" above.  BTW, the "/usr/bin/cyghttpd.dll" is suspect
too.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/